## derby 10.10.1.1

=== debian/changelog ===
derby (10.10.1.1-1) unstable; urgency=low

  * Initial release (Closes: #617425)
    Package developed with the help of Tim Booth <tbooth@ceh.ac.uk>,
    Zied Abid <ziedabid@free.fr> and Emmanuel Bourg <ebourg@apache.org>

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 12 Jun 2013 15:26:34 +0200
