=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Try to convince ant not to connect to the network
export ANT_OPTS=-Dhttp.proxyHost=127.0.0.1 -Dhttp.proxyPort=8888 -Duser.home=`pwd`/debian

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | sed 's/[-+].*//' )

%:
	dh $@

override_dh_auto_clean:
	mh_clean
	ant clobber
	# Totally remove jars and javadoc directory
	rm -rf jars javadoc tools/java/*
	# Other bits
	rm -f *.log
	cd java/demo/toursdb/ ; rm -rf *generated* ToursDB_schema.sql loadTables.sql
	rm -f java/engine/org/apache/derby/impl/sql/compile/Token.java
	
override_dh_auto_build:
	#Put .jar files in place
	cat /usr/share/java/oro.jar > tools/java/jakarta-oro-2.0.8.jar
	cat /usr/share/java/javacc.jar > tools/java/javacc.jar
	cat /usr/share/java/junit.jar > tools/java/junit.jar
	
	ant buildsource buildjars binscripts javadoc

override_dh_installdocs:
	rm -Rf javadoc/testing
	dh_installdocs

override_dh_test:
	env CLASSPATH=`echo jars/insane/*.jar | tr ' ' ':'` \
	    java org.apache.derby.tools.sysinfo
	ant all

override_dh_compress:
	# Disable the compression of the individual files in the documentation package
	dh_compress -pderby-doc -X .java -X .xml -X .txt -X .sql
	dh_compress -Nderby-doc

override_dh_auto_install:
	mh_install -plibderbyclient-java -e$(version)
	
	mh_install -plibderby-java -e$(version)
	dh_installchangelogs -plibderby-java RELEASE-NOTES.html
	
	mh_install -pderby-tools -e$(version)
	mkdir -p debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/ij                   debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/dblook               debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/sysinfo              debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/NetworkServerControl debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/PlanExporter         debian/derby-tools/usr/share/derby
	install -m 755 debian/wrappers/SignatureChecker     debian/derby-tools/usr/share/derby
	dh_link -pderby-tools usr/share/derby/ij                   usr/bin/ij
	dh_link -pderby-tools usr/share/derby/dblook               usr/bin/dblook
	dh_link -pderby-tools usr/share/derby/NetworkServerControl usr/bin/derbyctl	

get-orig-source:
	uscan --force-download --download-version $(version)
