## derby 10.10.2.0

=== debian/changelog ===
derby (10.10.2.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Use XZ compression for the upstream tarball
  * Standards-Version updated to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 26 Apr 2014 19:27:30 +0200
