=== debian/control ===
--- 
+++ 
@@ -3,9 +3,15 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9), default-jdk, javacc (>= 5.0-5), junit,
- liboro-java, ant (>= 1.7), maven-repo-helper, libservlet3.0-java
-Standards-Version: 3.9.4
+Build-Depends: ant (>= 1.7),
+               debhelper (>= 9),
+               default-jdk,
+               javacc (>= 5.0-5),
+               junit,
+               liboro-java,
+               libservlet3.0-java,
+               maven-repo-helper
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/derby
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/derby
 Homepage: http://db.apache.org/derby/
@@ -13,7 +19,7 @@
 Package: libderbyclient-java
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: derby-tools, derby-doc
+Suggests: derby-doc, derby-tools
 Description: Apache Derby Client JDBC Driver
  The Derby network client provides network connectivity to the Derby Network
  Server. It is distributed as an additional jar file, derbyclient.jar, with an
@@ -46,7 +52,11 @@
 
 Package: derby-tools
 Architecture: all
-Depends: ${misc:Depends}, libderby-java, libderbyclient-java, java-wrappers, default-jre | java6-runtime-headless
+Depends: default-jre | java6-runtime-headless,
+         java-wrappers,
+         libderby-java,
+         libderbyclient-java,
+         ${misc:Depends}
 Description: Apache Derby Tools
  The Derby tools and utilities are a set of routines supplied with Derby
  that are typically used to create, inspect, and update a Derby database.
