=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # DH_VERBOSE := 1
 
 # Try to convince ant not to connect to the network
-export ANT_OPTS=-Dhttp.proxyHost=127.0.0.1 -Dhttp.proxyPort=8888 -Duser.home=`pwd`/debian
+export ANT_OPTS=-Dhttp.proxyHost=127.0.0.1 -Dhttp.proxyPort=8888 -Duser.home=`pwd`/debian -Djunit.url=file:/usr/share/java/junit.jar
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | sed 's/[-+].*//' )
