=== debian/watch ===
version=3
http://archive.apache.org/dist/db/derby/db-derby-([\d\.]+)/db-derby-([\d\.]+)-src.tar.gz debian debian/orig-tar.sh
