## derby 10.13.1.1

=== debian/changelog ===
derby (10.13.1.1-2ubuntu1) zesty; urgency=medium

  * Add transitional packages to take over unmaintained sun-javadb
  * Add Breaks/Replaces against sun-javadb packages that shipped
    the same filenames (LP: #1276353)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Dec 2016 12:22:52 -0500

derby (10.13.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add JavaSE and J2EE API package-list files to the source package
    so they are available at build time (instead of downloading them
    from Oracle).  Add patch 03 to create a local.properties file to
    refer the build.xml to these local resources. (Closes: #848389)
  * Update debian/README.source to document creation of package-list
    files.

 -- tony mancill <tmancill@debian.org>  Sun, 18 Dec 2016 17:13:07 -0800

derby (10.13.1.1-1) unstable; urgency=medium

  * New upstream release
    - New dependency on liblucene4.10-java and libjson-simple-java
  * Build with JavaCC 4 instead of 5
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Nov 2016 14:50:11 +0100

derby (10.10.2.0-2) unstable; urgency=medium

  * Transition to the Servlet API 3.1
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Jun 2016 21:51:49 +0200
