=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: derby
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>, Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant (>= 1.7),
                debhelper (>= 9),
                default-jdk,
-               javacc (>= 5.0-5),
+               javacc4,
                junit,
+               libjson-simple-java,
+               liblucene4.10-java,
                liboro-java,
-               libservlet3.0-java,
+               libservlet3.1-java,
                maven-repo-helper
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/derby
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/derby
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/derby.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/derby.git
 Homepage: http://db.apache.org/derby/
 
 Package: libderbyclient-java
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: sun-javadb-client (<< 10.13.1.1)
+Replaces: sun-javadb-client (<< 10.13.1.1)
 Suggests: derby-doc, derby-tools
 Description: Apache Derby Client JDBC Driver
  The Derby network client provides network connectivity to the Derby Network
@@ -33,7 +38,8 @@
 Package: libderby-java
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libservlet3.0-java
+Breaks: sun-javadb-core (<< 10.13.1.1)
+Replaces: sun-javadb-core (<< 10.13.1.1)
 Suggests: derby-doc
 Description: Apache Derby Database Engine and Embedded JDBC Driver
  Apache Derby is an open source relational database implemented entirely
@@ -93,3 +99,43 @@
  .
  This package contains a Javadoc documenting the API and demo software
  for Apache Derby.
+
+Package: sun-javadb-client
+Depends: libderbyclient-java, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Apache Derby Client JDBC Driver (transitional package)
+ This is a transitional package and can safely be removed.
+
+Package: sun-javadb-core
+Depends: libderby-java, derby-tools, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Apache Derby Database Engine (transitional package)
+ This is a transitional package and can safely be removed.
+
+Package: sun-javadb-demo
+Depends: derby-doc, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Apache Derby API documentation and examples (transitional pkg)
+ This is a transitional package and can safely be removed.
+
+Package: sun-javadb-doc
+Depends: derby-doc, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Apache Derby API documentation and examples (transitional pkg)
+ This is a transitional package and can safely be removed.
+
+Package: sun-javadb-javadoc
+Depends: derby-doc, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Apache Derby API documentation and examples (transitional pkg)
+ This is a transitional package and can safely be removed.
