## derby 10.14.1.0

=== debian/changelog ===
derby (10.14.1.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes (to be dropped after 18.04 LTS):
    - Add transitional packages to take over unmaintained sun-javadb
    - Add Breaks/Replaces against sun-javadb packages that shipped
      the same filenames (see LP #1276353)

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Mar 2018 19:01:46 +0800

derby (10.14.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Nov 2017 10:46:36 +0100
