=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: ant (>= 1.7),
-               debhelper (>= 9),
-               default-jdk,
-               javacc4,
-               junit,
-               libjson-simple-java,
-               liblucene4.10-java,
-               liboro-java,
-               libservlet3.1-java,
-               maven-repo-helper
-Standards-Version: 3.9.8
+Uploaders:
+ Tim Booth <tbooth@ceh.ac.uk>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
+ ant (>= 1.7),
+ debhelper (>= 10),
+ default-jdk,
+ javacc4,
+ junit,
+ libjson-simple-java,
+ liblucene4.10-java,
+ liboro-java,
+ libservlet3.1-java,
+ maven-repo-helper
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/derby.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/derby.git
 Homepage: http://db.apache.org/derby/
@@ -58,11 +61,12 @@
 
 Package: derby-tools
 Architecture: all
-Depends: default-jre | java6-runtime-headless,
-         java-wrappers,
-         libderby-java,
-         libderbyclient-java,
-         ${misc:Depends}
+Depends:
+ default-jre | java6-runtime-headless,
+ java-wrappers,
+ libderby-java,
+ libderbyclient-java,
+ ${misc:Depends}
 Description: Apache Derby Tools
  The Derby tools and utilities are a set of routines supplied with Derby
  that are typically used to create, inspect, and update a Derby database.
