=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,20 @@
 	rm -rf jars javadoc tools/java/*
 	# Other bits
 	rm -f *.log
+	rm -Rf packageListLoc*
 	cd java/demo/toursdb/ ; rm -rf *generated* ToursDB_schema.sql loadTables.sql
-	rm -f java/engine/org/apache/derby/impl/sql/compile/Token.java
 	
 override_dh_auto_build:
 	#Put .jar files in place
+	mkdir -p tools/java
 	cat /usr/share/java/oro.jar > tools/java/jakarta-oro-2.0.8.jar
-	cat /usr/share/java/javacc.jar > tools/java/javacc.jar
+	cat /usr/share/java/javacc4.jar > tools/java/javacc.jar
 	cat /usr/share/java/junit.jar > tools/java/junit.jar
-	
-	ant buildsource buildjars binscripts javadoc
+	cat /usr/share/java/lucene-core-4.10.4.jar             > tools/java/lucene-core.jar
+	cat /usr/share/java/lucene-analyzers-common-4.10.4.jar > tools/java/lucene-analyzers-common.jar
+	cat /usr/share/java/lucene-queryparser-4.10.4.jar      > tools/java/lucene-queryparser.jar
+
+	ant buildsource buildjars binscripts javadoc -Djson_simple=/usr/share/java/json-simple.jar
 
 override_dh_installdocs:
 	rm -Rf javadoc/testing
