## derby 10.14.2.0

=== debian/changelog ===
derby (10.14.2.0-2) unstable; urgency=medium

  * Team upload

  [ Gilles Filippini ]
  * Tentative support for json-simple >= 3 (Closes: #968937)

  [ tony mancill ]
  * Use debhelper-compat 13
  * Set "Rules-Requires-Root: no" in debian/control
  * Use https URLs in copyright, control and watch
  * Bump Standards-Version to 4.5.0
  * Override dh_auto_test in debian/rules, not dh_test
  * Update debian/rules to add json-simple during tests

 -- tony mancill <tmancill@debian.org>  Sat, 05 Sep 2020 11:57:12 -0700

derby (10.14.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed the build failure with Java 10 (Closes: #897472)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 18:01:03 +0200
