=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,15 @@
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | sed 's/[-+].*//' )
+
+# debian: bullseye - transitioning
+JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
+JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
+ifeq (yes,$(JSON_SIMPLE_3))
+JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
+else
+JSON_SIMPLE_PACKAGE = org.json.simple
+endif
 
 %:
 	dh $@
@@ -19,9 +28,18 @@
 	# Other bits
 	rm -f *.log
 	rm -Rf packageListLoc*
-	cd java/demo/toursdb/ ; rm -rf *generated* ToursDB_schema.sql loadTables.sql
+	cd java/demo/toursdb/ ; rm -rf *generated*
+	find . -type f -name \*.java.json-simple \
+	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
+
 	
 override_dh_auto_build:
+	@# debian: bullseye - transitioning
+	find . -type f -name \*.java -exec grep -q '@JSON_SIMPLE@' {} \; \
+	  -exec sed -i.json-simple \
+		    -e 's,@JSON_SIMPLE@,$(JSON_SIMPLE_PACKAGE),' \
+		    {} \; -print
+
 	#Put .jar files in place
 	mkdir -p tools/java
 	cat /usr/share/java/oro.jar > tools/java/jakarta-oro-2.0.8.jar
@@ -37,10 +55,10 @@
 	rm -Rf javadoc/testing
 	dh_installdocs
 
-override_dh_test:
+override_dh_auto_test:
 	env CLASSPATH=`echo jars/insane/*.jar | tr ' ' ':'` \
 	    java org.apache.derby.tools.sysinfo
-	ant all
+	ant all -Djson_simple=/usr/share/java/json-simple.jar
 
 override_dh_compress:
 	# Disable the compression of the individual files in the documentation package
@@ -64,6 +82,3 @@
 	dh_link -pderby-tools usr/share/derby/ij                   usr/bin/ij
 	dh_link -pderby-tools usr/share/derby/dblook               usr/bin/dblook
 	dh_link -pderby-tools usr/share/derby/NetworkServerControl usr/bin/derbyctl	
-
-get-orig-source:
-	uscan --force-download --download-version $(version)
